import QtQuick 1.1
import com.nokia.meego 1.0
import QMLMainWindow 1.0

Page {
 property string dirMap: mainWnd.dirMap
 property string msgInstalledMaps: mainWnd.msgInstalledMaps
 property string msgAddMap: mainWnd.msgAddMap
 property bool firstStart: mainWnd.firstStart
 property bool fullScreen: mainWnd.fullScreen

 id: mainPage
 tools: commonTools

 PinchArea {
   property bool half: true

   anchors.fill: parent
   pinch.minimumScale : 0.1
   pinch.maximumScale : 20
   onPinchUpdated: {
    if(half) mainWnd.scaleMap(pinch.scale);
    else     mainWnd.scaleMap(pinch.previousScale);
//    console.log(pinch.scale);
    half=!half;
   }
  }

 MainWindow{
  id: mainWnd
  anchors.fill: parent
 }

 function runOpen(){ mainWnd.runOpen(); }
 function runSaveAs(){ mainWnd.runSaveAs(); }
 function runSettings(){ mainWnd.runSettings(); }
 function runAddMap(){ mainWnd.runAddMap(); }
 function runAbout(){ mainWnd.runAbout(); }

 function loadMap(fileName){ mainWnd.loadMap(fileName); }
 function getActionText(index){ return mainWnd.getActionText(index); }

 Component.onDestruction: mainWnd.close();
}

